com.rscja.deviceapi.entity

## Class ScannerParameterEntity.Builder

- java.lang.Object
- - com.rscja.deviceapi.entity.ScannerParameterEntity.Builder

- Enclosing class:
    ScannerParameterEntity

      public static class ScannerParameterEntity.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScannerParameterEntity` | `build()`
    `ScannerParameterEntity.Builder` | `setBarcodeContinuousScan(boolean barcodeContinuousScan)`
    `ScannerParameterEntity.Builder` | `setBarcodeContinuousScanIntervalTime(int barcodeContinuousScanIntervalTime)`
    `ScannerParameterEntity.Builder` | `setBarcodeContinuousScanTimeOut(int barcodeContinuousScanTimeOut)`
    `ScannerParameterEntity.Builder` | `setBarcodeFormat(int barcodeFormat)`
    `ScannerParameterEntity.Builder` | `setEnableBarcode2D(boolean enableBarcode2D)`
    `ScannerParameterEntity.Builder` | `setEnableScanner(boolean enableScanner)`
    `ScannerParameterEntity.Builder` | `setEnter(boolean enter)`
    `ScannerParameterEntity.Builder` | `setFailureSound(boolean failureSound)`
    `ScannerParameterEntity.Builder` | `setFilterChars(java.lang.String filterChars)`
    `ScannerParameterEntity.Builder` | `setInterceptTrimLeft(int interceptTrimLeft)`
    `ScannerParameterEntity.Builder` | `setInterceptTrimRight(int interceptTrimRight)`
    `ScannerParameterEntity.Builder` | `setOutputMode(int outputMode)`
    `ScannerParameterEntity.Builder` | `setPrefix(java.lang.String prefix)`
    `ScannerParameterEntity.Builder` | `setReleaseScanKeyOnStartScan(boolean releaseScanKeyOnStartScan)`
    `ScannerParameterEntity.Builder` | `setReleaseScanKeyOnStopScan(boolean releaseScanKeyOnStopScan)`
    `ScannerParameterEntity.Builder` | `setScanFailureBroadcast(boolean scanFailureBroadcast)`
    `ScannerParameterEntity.Builder` | `setScanResultBroadcastAction(java.lang.String scanResultBroadcast)`
    `ScannerParameterEntity.Builder` | `setScanResultBroadcastKey(java.lang.String scanResultBroadcastKey)`
    `ScannerParameterEntity.Builder` | `setSuccessSound(boolean successSound)`
    `ScannerParameterEntity.Builder` | `setSuffix(java.lang.String suffix)`
    `ScannerParameterEntity.Builder` | `setTab(boolean tab)`
    `ScannerParameterEntity.Builder` | `setVibrate(boolean vibrate)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setVibrate

          public ScannerParameterEntity.Builder setVibrate(boolean vibrate)

    - #### setSuccessSound

          public ScannerParameterEntity.Builder setSuccessSound(boolean successSound)

    - #### setReleaseScanKeyOnStopScan

          public ScannerParameterEntity.Builder setReleaseScanKeyOnStopScan(boolean releaseScanKeyOnStopScan)

    - #### setFailureSound

          public ScannerParameterEntity.Builder setFailureSound(boolean failureSound)

    - #### setEnter

          public ScannerParameterEntity.Builder setEnter(boolean enter)

    - #### setTab

          public ScannerParameterEntity.Builder setTab(boolean tab)

    - #### setOutputMode

          public ScannerParameterEntity.Builder setOutputMode(int outputMode)

    - #### setScanResultBroadcastAction

          public ScannerParameterEntity.Builder setScanResultBroadcastAction(java.lang.String scanResultBroadcast)

    - #### setScanResultBroadcastKey

          public ScannerParameterEntity.Builder setScanResultBroadcastKey(java.lang.String scanResultBroadcastKey)

    - #### setSuffix

          public ScannerParameterEntity.Builder setSuffix(java.lang.String suffix)

    - #### setPrefix

          public ScannerParameterEntity.Builder setPrefix(java.lang.String prefix)

    - #### setInterceptTrimLeft

          public ScannerParameterEntity.Builder setInterceptTrimLeft(int interceptTrimLeft)

    - #### setInterceptTrimRight

          public ScannerParameterEntity.Builder setInterceptTrimRight(int interceptTrimRight)

    - #### setFilterChars

          public ScannerParameterEntity.Builder setFilterChars(java.lang.String filterChars)

    - #### setBarcodeFormat

          public ScannerParameterEntity.Builder setBarcodeFormat(int barcodeFormat)

    - #### setBarcodeContinuousScan

          public ScannerParameterEntity.Builder setBarcodeContinuousScan(boolean barcodeContinuousScan)

    - #### setBarcodeContinuousScanIntervalTime

          public ScannerParameterEntity.Builder setBarcodeContinuousScanIntervalTime(int barcodeContinuousScanIntervalTime)

    - #### setBarcodeContinuousScanTimeOut

          public ScannerParameterEntity.Builder setBarcodeContinuousScanTimeOut(int barcodeContinuousScanTimeOut)

    - #### setScanFailureBroadcast

          public ScannerParameterEntity.Builder setScanFailureBroadcast(boolean scanFailureBroadcast)

    - #### setReleaseScanKeyOnStartScan

          public ScannerParameterEntity.Builder setReleaseScanKeyOnStartScan(boolean releaseScanKeyOnStartScan)

    - #### setEnableBarcode2D

          public ScannerParameterEntity.Builder setEnableBarcode2D(boolean enableBarcode2D)

    - #### setEnableScanner

          public ScannerParameterEntity.Builder setEnableScanner(boolean enableScanner)

    - #### build

          public ScannerParameterEntity build()